WayloAIWaylo Docs
APIReferenceTools

Get tool

GET
/tools/{id}

One tool, by id, with its full definition.

Access: workspace_viewer · API key tools:read

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Path Parameters

id*string

Header Parameters

Authorization*string

Your API key.

Response Body

Success

application/json
  1. response
id*string
workspaceId*string
name*string
feedback*
credentialId*|
Formatuuid
active*boolean
agentCount*number
createdByUserId*|
Formatuuid
createdByUserName*string|null
updatedByUserId*|
Formatuuid
updatedByUserName*string|null
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time
type*"api_request"
Value in"api_request"
description*string
parameters*
config*
Example Request
curl -X GET 'https://api.poc.app.waylovoice.ai/tools/string' \  -H 'Authorization: Bearer sk_waylo_...'
Example Response
{  "id": "string",  "workspaceId": "string",  "name": "string",  "feedback": {    "ack": [      "string"    ],    "filler": [      "string"    ]  },  "credentialId": "f568fec0-10b6-4b94-9daf-e62c50c9bf3e",  "active": true,  "agentCount": 0,  "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",  "createdByUserName": "string",  "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e",  "updatedByUserName": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "type": "api_request",  "description": "string",  "parameters": {},  "config": {    "method": "GET",    "url": "string",    "headers": {      "property1": "string",      "property2": "string"    },    "staticBody": {},    "timeoutMs": 0  }}